%define name XaoS
%define version 3.1pre1
%define prefix %{_prefix}

Summary: A real-time fractal zoomer
Name: %{name}
Version: %{version}
Release: 7mdk
Copyright: GPL
Group:	Sciences/Mathematics
Patch0:	XaoS-help.patch.bz2
Source0: ftp://ftp.ta.jcu.cz/pub/linux/hubicka/XaoS/experimental/prerelease1/XaoS-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}.xpm.bz2
Source3: %{name}-32.xpm.bz2
URL: http://limax.paru.cas.cz/~hubicka/XaoS/
BuildRoot: %{_tmppath}/%{name}-buildroot
ExclusiveArch: %{ix86} k6 k7


%description
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds the binary that runs with X11.


%package svgalib
Summary: Real-time fractal zoomer, svgalib package
Group: Sciences/Mathematics

%description svgalib
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds (only) the binary that runs with svgalib.


%package aalib
Summary: Real-time fractal zoomer, aalib package
Group: Sciences/Mathematics

%description aalib
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds (only) the binary that runs with aalib. (Ascii-Art)


%prep
%setup -q
%patch0 -p0

%build

rm -f config.cache
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --without-x11-driver --without-ggi-driver --without-svga-driver --with-aa-driver
make
mv bin/xaos ./xaos-aalib

make clean
rm -f config.cache
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --without-x11-driver --without-ggi-driver --with-svga-driver --without-aa-driver
make
mv bin/xaos ./xaos-svgalib

make clean
rm -f config.cache
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --with-x11-driver --without-ggi-driver --without-svga-driver --without-aa-driver
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/info
mkdir -p $RPM_BUILD_ROOT/usr/man/man6
mkdir -p $RPM_BUILD_ROOT/usr/share/XaoS
make install prefix=$RPM_BUILD_ROOT/usr
install -m755 xaos-aalib $RPM_BUILD_ROOT/usr/bin
install -m755 xaos-svgalib $RPM_BUILD_ROOT/usr/bin
install -m644 help/xaos.hlp $RPM_BUILD_ROOT/usr/share/XaoS/catalogs

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/

# icon
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/mini
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{prefix}/share/icons/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-,root,root,0755)
%doc doc/ANNOUNCE doc/PROBLEMS doc/README doc/README.bugs doc/compilers.txt doc/tutorial.txt
/usr/bin/xaos
/usr/share/XaoS
/usr/man/man6/*
/usr/info/*
/usr/lib/menu/*
/usr/share/icons/mini/*.xpm
/usr/share/icons/*.xpm

%files svgalib
%defattr(-,root,root,0755)
/usr/bin/xaos-svgalib

%files aalib
%defattr(-,root,root,0755)
/usr/bin/xaos-aalib


%changelog
* Tue May  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-7mdk
- added exclusivearch with the help of S. Van der Eijk

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-6mdk
- added 32x32 icons, fixed hardcoded path in menu entries
- added lacking [ $1 = 0 ] in postun script

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1pre1-5mdk
- Don't own shared directiries
- Use $RPM_OPT_FLAGS, don't build for i686 when I say i586

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1pre1-4mdk
- Fix group

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-3mdk
- added icon

* Mon Mar 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-2mdk
- add menu entry

* Sat Mar 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-1mdk
- 3.1pre1
- holy patch to remove crash when invoking help
